#ifndef _PRINTF_H
#define _PRINTF_H

#include <tty.h>
#include <string.h>

#include <vga/vga.h> /* Only for the vga_color enum */


void printwc(const char*, uint8_t);
void printd(const char* str);
void printf(const char*, ...);

void print_int(int32_t value);
void print_uint(uint32_t value);
void print_hex(uint32_t value, int width, bool uppercase);
void print_double(double value, int precision);

#endif
